# coding=utf-8
import logging

from django.views.generic import TemplateView
from . import wrap_response
class TemplateDailyPlannerView(TemplateView):
    def get(self, request, *args, **kwargs):
        context = self.get_context_data(**kwargs)        
        return wrap_response(request, 'daily_planning.html', context)